@echo off
call check-for-admin
if %ERRORLEVEL% neq 0 exit /b

set T=%SystemDrive%\TEMP
set EXE=..\software\wireshark-setup.exe

if NOT EXIST %EXE% (
  echo ERROR: %EXE% not found!
  exit /b
)

echo ####### %0 #######

echo extracting npcap ...
7z e -aoa -o%T% %EXE% npcap*.exe 1>nul 2>nul
move /Y %T%\npcap*.exe %T%\npcap.exe

echo installing npcap ...
start /wait %T%\npcap.exe
del /F /Q %T%\npcap.exe 2>nul

echo installing WireShark ...
start /wait %EXE% /S

rem refresh desktop (W10 style)
ie4uinit.exe -show

echo ####### %0 #######
pause

